WireMock
action Wiremock

# chunked_dribble_delay

Adds a chunked dribble delay to a list of mappings

Run it now
View details

Type | action
Module | chaoswm.actions
Name | chunked_dribble_delay
Return | list

Usage

JSON

    {
      "name": "chunked-dribble-delay",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaoswm.actions",
        "func": "chunked_dribble_delay",
        "arguments": {
          "filter": [],
          "chunkedDribbleDelay": null
        }
      }
    }

YAML

    name: chunked-dribble-delay
    provider:
      arguments:
        chunkedDribbleDelay: null
        filter: []
      func: chunked_dribble_delay
      module: chaoswm.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
filter | list |  | Yes | Filter | Filter to add fixed delay to
chunkedDribbleDelay | integer | 0 | No | Chunked Dribble Delay | Delay to apply to the matching filter

Signature

    def chunked_dribble_delay(
            filter: List[Any],
            chunkedDribbleDelay: Mapping[str, Any],
            configuration: Dict[str, Dict[str, str]] = None) -> List[Any]:
        pass

## Related starters

- WireMock
  action Wiremock

  ## `down`

  Set a list of services down
- WireMock
  action Wiremock

  ## `reset`

  Resets the WireMock server (deletes all mappings)
- WireMock
  action Wiremock

  ## `global_random_delay`

  Adds a random delay to all mappings